PYLUPDATE5(1)

NAME
pylupdate5 - create or update Qt Linguist translation files for PyQt5 applications

SYNOPSIS
pylupdate5 [OPTION]... PROJECT-FILE
pylupdate5 [OPTION]... SOURCE... -ts TRANSLATION-FILE...

DESCRIPTION
pylupdate5 reads a qmake project file (.pro), finds the translatable strings in the specified sources and updates the translation files (.ts files) specified in it. The translation files are given to the translator who can use Qt Linguist to read the files and insert the translations.
The .ts file format is a simple human-readable XML format that can be used with version control systems if required.

OPTIONS

-help
    Show a summary of the options.

-version
    Display the version number of the version of Qt which PyQt5 was generated for.

-noobsolete
    Drop all obsolete strings.

-verbose
    Increase verbosity.

AUTHOR
This manual page was written for Debian GNU/Linux by and Torsten Marek <shlomme@debian.org>, but may freely be used by others.